ObjectIdReferenceProperty.PropertyReferring
Date: 2016-12-04

com.fasterxml.jackson.databind.deser.impl

## Class ObjectIdReferenceProperty.PropertyReferring

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.ReadableObjectId.Referring
  - - com.fasterxml.jackson.databind.deser.impl.ObjectIdReferenceProperty.PropertyReferring

- Enclosing class:
    ObjectIdReferenceProperty

      public static final class ObjectIdReferenceProperty.PropertyReferring
      extends ReadableObjectId.Referring

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `_pojo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectIdReferenceProperty.PropertyReferring(ObjectIdReferenceProperty parent, UnresolvedForwardReference ref, java.lang.Class<?> type, java.lang.Object ob)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleResolvedForwardReference(java.lang.Object id, java.lang.Object value)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.impl.ReadableObjectId.Referring

      `getBeanType, getLocation, hasId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _pojo

          public final java.lang.Object _pojo

  - ### Constructor Detail

    - #### ObjectIdReferenceProperty.PropertyReferring

          public ObjectIdReferenceProperty.PropertyReferring(ObjectIdReferenceProperty parent,
                                                     UnresolvedForwardReference ref,
                                                     java.lang.Class<?> type,
                                                     java.lang.Object ob)

  - ### Method Detail

    - #### handleResolvedForwardReference

          public void handleResolvedForwardReference(java.lang.Object id,
                                            java.lang.Object value)
                                              throws java.io.IOException

      Specified by:
        `handleResolvedForwardReference` in class `ReadableObjectId.Referring`
      Throws:
        `java.io.IOException`